r8169 driver does not detect link

Bug #86798 reported by pleban on 2007-02-21
160
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Unknown
Unassigned

Bug Description

Binary package hint: linux-source-2.6.20

You need system with r8169 card (Realtek Gigabit card)
1. start system with ethernet cable _disconnected_
2. connect ethernet cable
- system says no link detected - not true

To overcome this you have to
1) unload driver - rmmod r8169
2) load the driver again - modprobe r8169
after that opreations driver sees link

important pieces from dmesg:
loading driver
[ 4.184000] r8169 Gigabit Ethernet driver 2.2LK loaded
[ 4.184000] ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 18 (level, low) -> IRQ 17
[ 4.184000] PCI: Setting latency timer of device 0000:03:00.0 to 64
[ 4.184000] eth0: RTL8168b/8111b at 0xf88b8000, 00:18:f3:ee:2f:2a, IRQ 17

init driver (ethernet disconnected)
[ 16.372000] r8169: eth0: link down
[ 17.252000] NET: Registered protocol family 10
[ 17.252000] lo: Disabled Privacy Extensions
[ 17.252000] ADDRCONF(NETDEV_UP): eth0: link is not ready
at this point ethtool says that there is no link detected (machine at the other side of the cable says otherwise)

unloading driver:
[ 5641.472000] ACPI: PCI interrupt for device 0000:03:00.0 disabled

and loading it again:
 5644.756000] r8169 Gigabit Ethernet driver 2.2LK loaded
[ 5644.756000] ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 18 (level, low) -> IRQ 17
[ 5644.756000] PCI: Setting latency timer of device 0000:03:00.0 to 64
[ 5644.756000] eth0: RTL8168b/8111b at 0xf8d42000, 00:18:f3:ee:2f:2a, IRQ 17
[ 5644.804000] r8169: eth0: link down
[ 5644.804000] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 5646.380000] r8169: eth0: link up
[ 5646.380000] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 5656.756000] eth0: no IPv6 routers present

and now link is properly detected

important lspci -vvnn piece

03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
        Subsystem: ASUSTeK Computer Inc. Unknown device [1043:11f5]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: I/O ports at c800 [size=256]
        Region 2: Memory at fe1ff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe1e0000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [60] Express Endpoint IRQ 0
                Device: Supported: MaxPayload 1024 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: AtnBtn+ AtnInd+ PwrInd+
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s unlimited, L1 unlimited
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [84] Vendor Specific Information

uname -a
Linux ali 2.6.20-8-generic #2 SMP Tue Feb 13 05:18:42 UTC 2007 i686 GNU/Linux

My system is Asus A8Jn laptop

Brian Murray (brian-murray) wrote :

Thanks for your bug report. Could you please also add the output of ethtool after you have connected the cable? Thanks in advance.

Changed in linux-source-2.6.20:
assignee: nobody → brian-murray
status: Unconfirmed → Needs Info
Michael Beach (mbeach) wrote :

I'm seeing what appears to be the same problem on my Asus A6T laptop.

michaelb@montalbano:~$ uname -a
Linux montalbano 2.6.20-8-generic #2 SMP Tue Feb 13 01:14:41 UTC 2007 x86_64 GNU/Linux

The relevant chunk of lspci -vvnn is...

01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
        Subsystem: ASUSTeK Computer Inc. Unknown device [1043:11f5]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR+ <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: I/O ports at c800 [size=256]
        Region 2: Memory at dcfff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at dcfe0000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [60] Express Endpoint IRQ 0
                Device: Supported: MaxPayload 1024 bytes, PhantFunc 0, ExtTag+
                Device: Latency L0s unlimited, L1 unlimited
                Device: AtnBtn+ AtnInd+ PwrInd+
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 0
                Link: Latency L0s unlimited, L1 unlimited
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [84] Vendor Specific Information

Please let me know if there's any other information that I could provide that might be useful. Thanks.

Changed in linux-source-2.6.20:
assignee: brian-murray → nobody
status: Needs Info → Confirmed
pleban (marek-zebrowski-gmail) wrote :

ethtool:
before connecting cable:Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 10Mb/s
        Duplex: Half
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000033 (51)
        Link detected: no
after connecting cable:
        Supported ports: [ TP ]
        Supported link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 10Mb/s
        Duplex: Half
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000033 (51)
        Link detected: no
after reloading driver:
        Supported ports: [ TP ]
        Supported link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000033 (51)
        Link detected: yes

dm (dmitry-shaposhnik) wrote :

Same thing here. Asus A6Tc laptop on both i386 and x86_64 versions.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
Kaare Baastrup (kaare-baastrup) wrote :

Same here on my zepto 6615w

so the only thing that "fix" the problem is to rmod r8169 and modprobe r8169.

strange

exactt (giesbert) wrote :

have you checked this with the latest version of feisty?

I have an Realtek 8169 and I don't experience the bug with the latest version from http://cdimage.ubuntu.com/ .

pleban (marek-zebrowski-gmail) wrote :

I have checked today with Linux ali 2.6.20-15-generic (linux-image-2.6.20-15-generic_2.6.20-15.27) and the bug is still present

dm (dmitry-shaposhnik) wrote :

Yep. And there is strange behaviour:

root@phantom:~# modprobe -r r8169
root@phantom:~# modprobe r8169
root@phantom:~# ping ya.ru
ping: unknown host ya.ru
root@phantom:~# ifup eth1
ifup: interface eth1 already configured
root@phantom:~# ping ya.ru
ping: unknown host ya.ru
root@phantom:~# ifdown eth1
Interface "eth1" is already disabled.
SIOCDELRT: No such process
root@phantom:~# ifup eth1
root@phantom:~# ping ya.ru
PING ya.ru (87.250.251.8) 56(84) bytes of data.
64 bytes from ya.ru (87.250.251.8): icmp_seq=1 ttl=56 time=117 ms

I showed that ifup script thinks that eth1 is up and configured. When I try
to ifdown eth1 right after reinserting module ifdown tells me that interface
is already down, but it really doesn't.

And this affects wireless as well. Everytime I get connected to my home
wi-fi I should reinsert module for eth1 (r8169) and ifup/down it to make
wireless work correctly.

gborzi (gborzi) wrote :

Same problem with Compal HEL81 reviewed here https://wiki.ubuntu.com/LaptopTestingTeam/CompalHEL81 .

metellius (haraldhv) wrote :

same thing with asus w7j

Didier L (l-farquaad) wrote :

I have the same problem n a Zepto Znote 6615WD (the same laptop as Kaare Baastrup).

It occured today for the first time, but I don't use the ethernet connection very often... However I think I remember that at least once in the previous weeks I just put the cable and NetworkManager allowed me to switch on LAN immediately, but I'm not sure. I also know that I could use the wire connection from a tty, but I don't remember if I plugged the cable before or after (re)booting the laptop...

I I have time I will try with the live CD I received today ( :-P ) or the Herd 4 CD from which I installed Ubuntu Fesity (I have never tried any other OS on this new laptop, even no previous Ubuntu versions...)

dm (dmitry-shaposhnik) wrote :

Looks like 2.6.22 kernel (available in gutsy at the moment) handles it much
better. I started with cable unplugged, so with 2.6.20-15 if I plug cable I
should reinsert the module. Now module works fine. I see link messages in
syslog.
I didn't try to transfer large files from this network adapter. Old behavior
was complete GUI freeze. I'll check and report behavior.

dm (dmitry-shaposhnik) wrote :

Yep. It handles cable plug-in/out, but still provides hang-ups while uploading data.

Same problem on Asus A8JS
Reloading the module seems to work fine.

Same problem in Toshiba A135-S4487... reloading the module doens't work to me. See https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/79626 .

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → opatetausatecladoeomickeymouse
assignee: opatetausatecladoeomickeymouse → nobody
Donatas Glodenis (dgvirtual) wrote :

can confirm this problem on Asus A8F with lan cable.

chantra (chantra) wrote :

my r8169 :
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

does not have any issue detecting the link, the only thing is that it defaults to half-duplex

I need to use mii-tool -F 100baseTx-FD eth0 to fall back to full duplex

Nicolas Albert (nicoa380) wrote :

Same problem on Asus F3JV AS022P , on Ubuntu Feisty 64bits, and kernel 2.6.20-16-generic.

I'm a Wifi user, but when I want to use Ethernel, I must rmmod/modprobe r8169.

When the connection is up, it's not perfect, large file transfert fails (over smb or over ssh) when I use Ethernet, but works fine with Wifi.

It's a good news if Gusty havn't this problem.

Can confirm on an Asus G1

lspci -vvnn
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
        Subsystem: ASUSTeK Computer Inc. Unknown device [1043:11f5]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: I/O ports at c800 [size=256]
        Region 2: Memory at fe0ff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe0e0000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [48] Vital Product Data
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [60] Express Endpoint IRQ 0
                Device: Supported: MaxPayload 1024 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: AtnBtn+ AtnInd+ PwrInd+
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s unlimited, L1 unlimited
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [84] Vendor Specific Information

uname -a
Linux apollo13 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Workaround helps!

Same problem as Nicolas Albert with big file transfers...

Chris Wagner (chris-wagner) wrote :

Looks like #79626 may be a duplicate of this.

gborzi (gborzi) wrote :

@apollo13
I tried it, but didn't worked. Those changes seems to be relevant only for suspend/resume. Anyway, thanks.

I can now confirm that it is working fine with the current gutsy kernel (I installed it under feisty)

gborzi (gborzi) wrote :

I compiled the new module from the link provided by apollo13, but it didn't loaded, giving an "Unknown symbol in module, or unknown parameter" error message. So I did the patch modifications by hand on the r8169.c source, compiled and loaded the module successfully. But it worked like the old module. Good to know that it will work fine on gutsy.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
coolbomb (daniel-rodrig) wrote :

Don't load the iee1384 modules and it works fine... I figured out today about that conflict, I will research deeply "why" and post the info. Two lappys different hardware - same module... same solution. At least it works for me.

keep your cable connected :D

gborzi (gborzi) wrote :

Dear Coolbomb,
do you mean ieee1394 ? There isn't a module called iee1384 for the 2.6.20-16-generic kernel. I'll try removing the ieee1394 and see if it works.

gborzi (gborzi) wrote :

Nope, removing ieee1394 has no effect on my laptop.

coolbomb (daniel-rodrig) wrote :

Oh, sorry to hear that gborzi... anyone else ?

And yes i mean ieee1394 ;)

BTW: Just don't load the modules at boot time or you will have to do the same procedure at the bug report, the modprobe -r and modprobe r8169 stuff after unloading the modules with the cable disconnected, etc. I think that the one messing all the stuff is the eth1394 module but yesterday i didn't have the time to do deeper research.

dm (dmitry-shaposhnik) wrote :

Same on Asus A6Tc - no effect.

> Nope, removing ieee1394 has no effect on my laptop.
>

coolbomb (daniel-rodrig) wrote :

well, maybe my problem its not related, but the bug report solution helped me at the beginning. I thought it was related.

MarcoBazzani (visik7) wrote :

Same problem on asus V6J
I'll backport the driver of gutsy to feisty to do some tests

MarcoBazzani (visik7) wrote :

the problem wasn't present when on edgy with r1000 driver

Hareide (har-eide) wrote :

I have the same problem with my asus A8JS laptop. Tried ubuntu, knoppix, slackware, and freeBSD. All have the same problem, the link is'nt detected if you dont do a bounch of remove and re-add of the module.

The strange thing is that the knoppix live dvd I got, find's the link stight away (while booted from DVD). But after installing it onto the harddrive and booting from the harddrive, you have to do the "remove and re-add" procedure.

Have had some luck with the driver/module from the realtek site:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false

Not sure if its because you remove the 8169 module and then load the "realtec" 8168 module ..

I can imagine that the problem has something to do with the fact that this network card has the ability to "sense" if it being connected to devices with a regular or a crossed TP cable. (It just a feeling, probably not right).
Seems that every one with this problem has a laptop. Maby theres an difference between the pci version and the laptop version?

Hope someone can figure this out

I have this same problem only if i start my laptop (V6j) without network cable. At this point that rmmod/modprobe even doesnt work.

Only fix what i have found is just restart my laptop with network cable connected. After this cable unplug/plug works fine.

$ uname -a
Linux andromeda 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Breuil Cyril (cyrilb856) wrote :

I'm also concern by this bug.
I'm using gutsy tribe 5 and I have a MotherBoard MSI P35 NEO-F with Realtek 8111b chipset.

Michael (eetccaa2004) wrote :

I got the similar problem on my desktop also.
But it cannot be solved even rmmod/modprobe r8169. I even tried to install r6186-8.003.00 from official website.

My config:
linux destop2 2.6.20-15-generic #2 SMP sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)

Could anyone help to solve the problem??

Nathan de Vries (atnan) wrote :

Michael: Did you recently install Windows (dual boot)? I had this problem because Windows XP was enabling "power save" for my network card when I powered off. Disabling the power save option in the network preferences of Windows fixed the problem completely.

Michael (eetccaa2004) wrote :

Yup, my desktop is dual boot and installed with XP. However, after following ur suggestion, the problem still exists.

ramses (demo-itmanagement) wrote :

I can confirm this bug on a MSI P965 NEO-F motherboard with Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169SC Gigabit Ethernet (rev 10)

pleban (marek-zebrowski-gmail) wrote :

That problem is fixed in Gutsy, so I think it can be closed

ubunturox (ubunturox-kk) wrote :

seems to be working ok in gutsy.

On Dec 1, 2007 12:43 PM, pleban <email address hidden> wrote:

> That problem is fixed in Gutsy, so I think it can be closed
>
> --
> r8169 driver does not detect link
> https://bugs.launchpad.net/bugs/86798
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Thanks for the update. Per Kalyan and Pleban's (the original bug reporter) last comment, this appears to be fixed in Gutsy so this report is being closed against linux-source-2.6.22. Against linux-source-2.6.20 this bug does not meet the criteria for a stable release update and will also be closed. You can learn more about the stable release update process at https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.22:
importance: Undecided → Unknown
status: New → Fix Released
Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Pieter Lexis (pieter-lexis) wrote :

It worked for me, however, after a clean reinstall of gutsy(and updating it) the problem is back, running kernel 2.6.22-14

kiev1 (sys-sys-admin) wrote :

HEEELLPPP!!!!!

realtek 8169 NOT WORK IN UBUNTU 8.04

HEEELP!!!!!

ubunturox (ubunturox-kk) wrote :

Well, i havent had any probs recently. One important thing is to make sure
the NIC is connected when you shutdown Windows (if you have). This is a
known issue that Windows puts the NIC is sleep mode when shutting down the
system.

You may also want to download the driver and recompile if nothing works.

Thanks,
Kalyan

On Fri, Jul 4, 2008 at 4:53 AM, kiev1 <email address hidden> wrote:

> HEEELLPPP!!!!!
>
> realtek 8169 NOT WORK IN UBUNTU 8.04
>
> HEEELP!!!!!
>
> --
> r8169 driver does not detect link
> https://bugs.launchpad.net/bugs/86798
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Diogenes - "What I like to drink most is wine that belongs to others."

kiev1 (sys-sys-admin) wrote :

for me this problem decided install of patched drivers for rl8168 - I wrote script http://sys-admin.org/files1/r8168-fix.tar.gz

Jan Kaláb (pitel) wrote :

I still have this problem with Ubuntu 8.04.1 on Dell Vostro 1510 booted from live CD right after I brought it from store.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Mercurius (gallo-mctelefonia) wrote :

We have resolved clearing the CMOS. It seems if you purchase a motherboard with Windows preinstalled, the windows driver sets some strange flags inside the ethernet card memory that only clearing the CMOS solve it.

Alternative: on dual boot systems, use windows advanced driver panel to remove the stupid flag.

I also believe recent Linux kernels has added the feature to remove the card flag when initializing the card.

Have fun, www.mercuriuspbx.it

nexuz (edelpero) wrote :

I tested Ubuntu 9.04, and I still have the same problem with my ethernet card. What info do you need?, so I can post it and help to solve the problem.

Ian (ibatterb) wrote :

I also see the same problem, on a newly built box which has never run windows. Connectivity seems intermittent - the network cable is plugged in all the time, and sometimes it will boot up with a working network, other times nothing. Unloading and reloading r8139 fixes the problem.

Asus P5Q SE motherboard, with built in RTL8111/8168 B PCI Express Gigabit Ethernet Controller.

Pieter Lexis (pieter-lexis) wrote :

Confirmed on 9.04 amd64

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
 Subsystem: ASUSTeK Computer Inc. Device 11f5
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 2301
 Region 0: I/O ports at c800 [size=256]
 Region 2: Memory at dcfff000 (64-bit, non-prefetchable) [size=4K]
 Expansion ROM at dcfe0000 [disabled] [size=64K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [48] Vital Product Data <?>
 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1 Enable+
  Address: 00000000fee0300c Data: 41a1
 Capabilities: [60] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 1024 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
   ExtTag+ AttnBtn+ AttnInd+ PwrInd+ RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 4096 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 unlimited, L1 unlimited
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [84] Vendor Specific Information <?>
 Capabilities: [100] Advanced Error Reporting <?>
 Capabilities: [12c] Virtual Channel <?>
 Capabilities: [148] Device Serial Number 68-81-ec-10-00-00-00-01
 Capabilities: [154] Power Budgeting <?>
 Kernel driver in use: r8169
 Kernel modules: r8169

Pieter Lexis (pieter-lexis) wrote :

And as expected the r8168 driver from realtek works fine.

Download&bunzip
sudo -i
make clean
make modules
make install
depmod -a

now blacklist r8169 in /etc/modprobe.d/blacklist.conf

then
update-initramfs -u
reboot

Wired networking works as expected, now to make a script i have to run every time the kernel gets updated......

Maria (music-girl1981) on 2010-06-12
Changed in linux-source-2.6.22 (Ubuntu):
status: Fix Released → Confirmed
Jeremy Foshee (jeremyfoshee) wrote :

Maria,
   please do not reopen closed bugs. If you are affected by an issue, then please open a new bug.

Thanks!

~JFo

Changed in linux-source-2.6.22 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers